| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiPython::PyAlgorithm Class Reference

`#include <Algorithm.h>`

Inheritance diagram for GaudiPython::PyAlgorithm:

[legend]
Collaboration diagram for GaudiPython::PyAlgorithm:

[legend]
List of all members.

## Detailed Description

Python Algorithm base class.

Definition at line 37 of file Algorithm.h.

## Public Member Functions
| PyAlgorithm (PyObject *self, const std::string &name)
| constructor
StatusCode | initialize ()
| the default (empty) implementation of IStateful::initialize() method
StatusCode | start ()
| the default (empty) implementation of IStateful::start() method
StatusCode | beginRun ()
| Algorithm begin run.
StatusCode | endRun ()
| Algorithm end run. This method is called at the end of the event loop.
StatusCode | execute ()
| The action to be performed by the algorithm on an event.
StatusCode | stop ()
| the default (empty) implementation of IStateful::stop() method
StatusCode | finalize ()
| the default (empty) implementation of IStateful::finalize() method
IAlgorithm * | myself ()
## Private Attributes
PyObject * | m_self

## Constructor & Destructor Documentation

GaudiPython::PyAlgorithm::PyAlgorithm | ( | PyObject * | self,
|  | const std::string & | name |
| ) |  |  |

constructor

Parameters:

  | self | python objects
  | name | name of algorithm instance

Definition at line 67 of file Algorithm.cpp.

    00069   : Algorithm ( name , Gaudi::svcLocator() )
    00070   , m_self ( self )
    00071 {
    00072   // The owner of the Algorithm is Python (as creator) therfore
    00073   // it should not be deleted by Gaudi (added an extra addRef()).
    00074   addRef() ;
    00075   addRef() ;
    00076 };

## Member Function Documentation

StatusCode GaudiPython::PyAlgorithm::initialize | ( |  | ) | `[virtual]`

the default (empty) implementation of IStateful::initialize() method

Reimplemented from Algorithm.

Definition at line 80 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00081 { return GaudiPython::call_python_method ( m_self , "initialize" ) ; }

StatusCode GaudiPython::PyAlgorithm::start | ( |  | ) | `[virtual]`

the default (empty) implementation of IStateful::start() method

Reimplemented from Algorithm.

Definition at line 83 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00084 { return GaudiPython::call_python_method ( m_self , "start" ) ; }

StatusCode GaudiPython::PyAlgorithm::beginRun | ( |  | ) | `[virtual]`

Algorithm begin run.

This method is called at the beginning of the event loop.

Reimplemented from Algorithm.

Definition at line 95 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00095                                             {
    00096   return GaudiPython::call_python_method ( m_self , "beginRun" ) ; }

StatusCode GaudiPython::PyAlgorithm::endRun | ( |  | ) | `[virtual]`

Algorithm end run. This method is called at the end of the event loop.

Reimplemented from Algorithm.

Definition at line 97 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00097                                           {
    00098   return GaudiPython::call_python_method ( m_self , "endRun" ) ; }

StatusCode GaudiPython::PyAlgorithm::execute | ( |  | ) | `[virtual]`

The action to be performed by the algorithm on an event.

This method is invoked once per event for top level algorithms by the application manager.

Implements IAlgorithm.

Definition at line 86 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00087 { return GaudiPython::call_python_method ( m_self , "execute"    ) ; }

StatusCode GaudiPython::PyAlgorithm::stop | ( |  | ) | `[virtual]`

the default (empty) implementation of IStateful::stop() method

Reimplemented from Algorithm.

Definition at line 89 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00090 { return GaudiPython::call_python_method ( m_self , "stop" ) ; }

StatusCode GaudiPython::PyAlgorithm::finalize | ( | void |  | ) | `[virtual]`

the default (empty) implementation of IStateful::finalize() method

Reimplemented from Algorithm.

Definition at line 92 of file Algorithm.cpp.

References GaudiPython::call_python_method(), and m_self.

    00093 { return GaudiPython::call_python_method ( m_self , "finalize"   ) ; }

IAlgorithm* GaudiPython::PyAlgorithm::myself | ( |  | ) | `[inline]`

Definition at line 55 of file Algorithm.h.

    00055 { return this; }

## Member Data Documentation

PyObject* GaudiPython::PyAlgorithm::m_self`[private]`

Definition at line 57 of file Algorithm.h.

Referenced by beginRun(), endRun(), execute(), finalize(), initialize(), start(), and stop().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/GaudiPython/Algorithm.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/src/Lib/Algorithm.cpp